# This is a set of Examples about how the object itself works.  This relates to the example framework covered in part 1

require  'rubygems'
require 'spec'
require File.dirname(__FILE__) + '/CSharpAssembly/CSharpAssembly/bin/Debug/CSharpAssembly.dll'

  describe CSharpNamespace::Order, "how to calculate a subtotal" do
   
    before(:each) do  
      @product = CSharpNamespace::Product.new("Product X", 0)
      @order = CSharpNamespace::Order.new(@product)
    end

    it "should be 100 when price is 100 with 1 license" do
      @product.Price = 100
      @order.NumberOfLicenses = 1
      
      @order.Subtotal.should equal 100
    end
    
    it "should be 200 when price is 100 with 2 licenses" do
      @product.Price = 100
      @order.NumberOfLicenses = 2
      
      @order.Subtotal.should equal 200
    end
    
    
    it "should be 0 when price is 100 but the number of licenses is 0" do
      @product.Price = 100
      @order.NumberOfLicenses = 0
      
      @order.Subtotal.should equal 0
    end
  end